## xblast-tnt 2.10.4

=== SConstruct ===
list=Split("""xblast.c util.c str_util.c intro.c introdat.c map.c sprite.c 
	color.c status.c player.c bomb.c action.c event.c image.c shrink.c 
	func.c info.c ini_file.c atom.c scramble.c demo.c debug.c level.c 
	random.c game_local.c game_demo.c game_server.c game_client.c game.c 
	menu.c menu_player.c menu_level.c menu_control.c menu_game.c 
	menu_network.c menu_extras.c mi_tool.c mi_base.c mi_button.c 
	mi_color.c mi_combo.c mi_cyclic.c mi_host.c mi_int.c mi_keysym.c 
	mi_label.c mi_player.c mi_string.c mi_tag.c mi_toggle.c mi_map.c 
	mi_stat.c client.c server.c central.c network.c com.c browse.c com_to_server.c 
	com_listen.c com_to_client.c com_newgame.c com_stream.c com_dg_client.c  
	com_to_central.c com_from_central.c com_central.c user.c dat_rating.c 
	com_dg_server.c com_dgram.c com_query.c com_browse.c com_reply.c 
	com_base.c net_socket.c net_tele.c net_dgram.c cfg_main.c cfg_level.c 
	cfg_player.c cfg_game.c cfg_control.c cfg_stat.c cfg_demo.c 
	cfg_xblast.c chat.c  x11_common.c x11_event.c x11_atom.c x11_config.c
	x11_msgbox.c	x11c_init.c x11c_image.c x11c_text.c
	x11c_tile.c x11c_sprite.c 	x11c_pixmap.c x11_sound.c
	x11_socket.c x11_joystick.c bot.c  menu_edit.c version.c""")
opts = Options()
opts.Add(PathOption('Datadir',
                               'Path to configuration file',
                               '.'))

env = Environment(options = opts,
                             CPPDEFINES={'GAME_DATADIR' : '"$CONFIG"'},
	CPPPATH = ['/usr/include'],
        LIBPATH = ['/usr/lib','/usr/X11R6/lib'] ) 

if 'bar' in COMMAND_LINE_TARGETS:
          print "Don't forget to copy `bar' to the archive!"
          print "Don't forget to copy `bar' to the archive!"

conf = Configure(env)
if not conf.CheckLib('m'):
        print 'Did not find libm.a or m.lib, exiting!'
        Exit(1)
if not conf.CheckLib('X11'):
        print 'Did not find lib X11 , exiting!'
        Exit(1)
env = conf.Finish()
env.Program('xblast',list)

=== debian/changelog ===
xblast-tnt (2.10.4-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian Games team
    Closes: #1088005
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Secure URI in watch file
  * Recommends: xfonts-75dpi | xfonts-100dpi (LP: 1360490)
  * Provide desktop files instead of Debian menu file
    Closes: #738055

  [ Bjarnig Ingi Gislason
  * Some fixes in manpage (LP: #1075254)

  [ наб ]
  * Try harder to make xbsndsrv.pid. Don't segfault if can't make xbsndsrv.pid
    Closes: #716488

 -- Andreas Tille <tille@debian.org>  Sat, 08 Feb 2025 07:22:46 +0100

xblast-tnt (2.10.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-10. (Closes: #957971)
    - Thanks to Luis Paulo Linares.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Jan 2021 21:50:26 +0000

xblast-tnt (2.10.4-4) unstable; urgency=medium

  * Update my name/email address.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * Get rid of the ancient transitional xblast and xblast-tnt-mini packages.
  * Change to dh style debian/rules file.
  * Add Homepage URL.
  * Fix debian/watch URL.
  * Add copyright statement to debian/copyright.
  * Add patch to fix manpage name (and my name).
  * Use dh-autoreconf to update config.{guess,sub}.
  * Get rid of ancient Conflicts/Replaces + Provides.
  * Point directly to GPL-2 instead of GPL symlink in copyright file.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 13 Jan 2016 12:25:26 +0100

xblast-tnt (2.10.4-3) unstable; urgency=low

  * debian/menu: Adapt to new menu policy: s/Arcade/Action/.
  * Add dummy xblast package for transitioning to xblast-tnt, and removed
    README.Debian because of that.
  * Make the dummy packages Arch: all.
  * Updated config.{guess,sub}.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 11 Jul 2007 13:28:27 +0200

xblast-tnt (2.10.4-2) unstable; urgency=medium

  * Made the Conflicts/Replaces to xblast-tnt-mini versioned so that the dummy
    package can be installed, and adapted its package description accordingly
    (closes: #377849)
  * Added versioned depends in xblast-tnt-mini so partial upgrades won't
    happen.

 -- Gerfried Fuchs <alfie@debian.org>  Wed, 12 Jul 2006 03:29:18 -0500

xblast-tnt (2.10.4-1) unstable; urgency=low

  * New upstream release.
  * Get rid of the additional xblast-tnt-mini package, and add an SMPF binary,
    too (closes: #366537)
  * Run autogen.sh.

 -- Gerfried Fuchs <alfie@debian.org>  Mon, 19 Jun 2006 07:26:56 -0500

xblast-tnt (2.10.2-5) unstable; urgency=low

  * Applied patch from Samuel Thibault to make build work for GNU/Hurd.
    This is the same one like in #361730 for the xblast package.
  * Bumped standards version to 3.7.2.
  * Updated FSF address in debian/copyright.
  * Fixed glitch in manpage.
  * Installed menu file into /usr/share/menu instead of /usr/lib/menu.

 -- Gerfried Fuchs <alfie@debian.org>  Sat, 20 May 2006 22:10:54 -0500

xblast-tnt (2.10.2-4) unstable; urgency=low

  * Fixed watch file with version 3.
  * Bumped Standards-Version, no changes needed.
  * Applied patch from Aurelien Jarno for fixing (k)FreeBSD support.
    (closes: #336893)

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 02 Dec 2005 11:08:47 +0100

xblast-tnt (2.10.2-3) unstable; urgency=high

  * The "Happy Birthday, NForcer!" release
  * Uups, let the binary packages depend on their shlibs. This is the reason
    for the urgency, the binaries had no shlib dependencies at all....
  * Changed Build-Depends from xlibs-dev to only libxt-dev.
  * Added md5sums files.
  * Added overrides files for lintian, the menu icons are in the
    xblast-tnt-images package which we Depend on.
  * Ship features.html in documentation (closes: #306109)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 03 May 2005 10:56:00 +0200

xblast-tnt (2.10.2-2) unstable; urgency=high

  * Fix for rename player segfault from upstream CVS applied (closes: #306337)

 -- Gerfried Fuchs <alfie@debian.org>  Wed, 27 Apr 2005 23:44:16 +0200

xblast-tnt (2.10.2-1) unstable; urgency=medium

  * New upstream release. This is a major bugfix release and should go into
    sarge.

 -- Gerfried Fuchs <alfie@debian.org>  Mon, 18 Apr 2005 14:59:30 +0200

xblast-tnt (2.10.0-1) unstable; urgency=low

  * New upstream release, including fixes for the following bugs:
    - program crashs (closes: #276552)
    - Crash when searching for online games (closes: #274941)
    - ftbfs [sparc] /usr/bin/ld: cannot find -lsocket (closes: #287605)
  * Updated description in control file, added Suggests for xblast-tnt-musics
    (which is in NEW currently, though).
  * Activated watch file, though being upstream release manager eliminates
    most of its purpose.  :)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 25 Jan 2005 21:01:37 +0100

xblast-tnt (2.9.22-1) unstable; urgency=low

  * Initial Release (closes: #254606)

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 20 Aug 2004 18:40:32 +0200

=== debian/control ===
Source: xblast-tnt
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper-compat (= 13),  libxt-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xblast-tnt
Vcs-Git: https://salsa.debian.org/games-team/xblast-tnt.git
Homepage: https://xblast.sourceforge.net/
Rules-Requires-Root: no

Package: xblast-tnt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xblast-tnt-images, xblast-tnt-models
Recommends: xblast-tnt-levels,
            xfonts-75dpi | xfonts-100dpi
Suggests: xblast-tnt-sounds, xblast-tnt-musics
Description: multiplayer blast-the-others game inspired by Dynablaster
 XBlast is a multi-player arcade game inspired by the video/computer game
 Bomberman (Dynablaster).
 .
 Features:
   - 2 to 6 players
   - 1 or 2 players per X-Server (or up to 6 with joysticks)
   - about 1000 levels
   - about 20 player models
   - PoV-Ray rendered color graphics
   - central server support with statistics
 .
 If you want to host games you need to install the xblast-tnt-levels package,
 and you might want to install xblast-tnt-sounds for sound support. The
 xblast-tnt-musics package contains background musics for the game, if you
 like.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# xblast-tnt-mini
	dh_auto_configure --builddirectory=build_xblast-tnt-mini -- --with-x --disable-nls --enable-sound \
		--with-otherdatadir=/usr/share/games/xblast-tnt \
		CFLAGS="$(CFLAGS) -DXBLAST_SOUND_SERVER=\"\\\"/usr/lib/games/$(PKG1)/xbsndsrv\\\"\"" \
		--enable-mini --disable-SMPF
	# xblast-tnt-smpf
	dh_auto_configure --builddirectory=build_xblast-tnt-smpf -- --with-x --disable-nls --enable-sound \
		--with-otherdatadir=/usr/share/games/xblast-tnt \
		CFLAGS="$(CFLAGS) -DXBLAST_SOUND_SERVER=\"\\\"/usr/lib/games/$(PKG1)/xbsndsrv\\\"\"" \
		--disable-mini --enable-SMPF
	# regular binaries
	dh_auto_configure --builddirectory=build_xblast-tnt -- --with-x --disable-nls --enable-sound \
		--with-otherdatadir=/usr/share/games/xblast-tnt \
		CFLAGS="$(CFLAGS) -DXBLAST_SOUND_SERVER=\"\\\"/usr/lib/games/$(PKG1)/xbsndsrv\\\"\"" \
		--disable-mini --disable-SMPF

override_dh_auto_build:
	# mini binaries
	dh_auto_build --builddirectory=build_xblast-tnt-mini
	dh_auto_build --builddirectory=build_xblast-tnt-smpf
	dh_auto_build --builddirectory=build_xblast-tnt


override_dh_auto_clean:
	dh_auto_clean --builddirectory=build_xblast-tnt-mini
	dh_auto_clean --builddirectory=build_xblast-tnt-smpf
	dh_auto_clean --builddirectory=build_xblast-tnt

override_dh_auto_install:
	cp build_xblast-tnt-mini/xblast debian/xblast-tnt/usr/games/xblast-tnt-mini
	cp build_xblast-tnt-smpf/xblast debian/xblast-tnt/usr/games/xblast-tnt-smpf
	cp build_xblast-tnt/xblast      debian/xblast-tnt/usr/games/xblast-tnt

override_dh_installman:
	dh_installman
	mv debian/xblast-tnt/usr/share/man/man6/xblast.6x debian/xblast-tnt/usr/share/man/man6/xblast-tnt.6x
	ln -s xblast-tnt.6x.gz debian/xblast-tnt/usr/share/man/man6/xblast-tnt-mini.6x.gz
	ln -s xblast-tnt.6x.gz debian/xblast-tnt/usr/share/man/man6/xblast-tnt-smpf.6x.gz

=== debian/watch ===
version=4
https://sf.net/xblast/xblast-([\d.]+)\.tar\.gz  debian  uupdate
# Site/Directory/Pattern                       Version  Script
